Bug 982080 - Names of keyboard layouts are incorrect
Names of keyboard layouts are incorrect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 02:05 EDT by Chester Cheng
Modified: 2016-06-23 00:45 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 12:44:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chester Cheng 2013-07-08 02:05:41 EDT
Description of problem:
In the keyboard layout, 3 options are listed:
* Taiwan, Province of China (Saisiyat (Taiwan))
* Taiwan, Province of China (Taiwanese (indigenous))
* Taiwan, Province of China (Taiwanese)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run anaconda, try to add keyboard layouts.
2. Filter with keyword "Taiwan".
3. Compare with keyword "China".

Actual results:
* Taiwan, Province of China (Saisiyat (Taiwan))
* Taiwan, Province of China (Taiwanese (indigenous))
* Taiwan, Province of China (Taiwanese)

Expected results:
* Saisiyat (Saisiyat (Taiwan))
* Indigenous Taiwanese (Indigenous Taiwanese (Taiwan))
* Taiwanese (Taiwanese (Taiwan)) and
* Chinese (Traditional Chinese (Taiwan))

Additional info:
1. The keyboard layouts are "LANGUAGE (LANGUAGE (REGION))".  The actual result is "REGION (DIALECT)".
2. It's not wise to raise a political dispute about "whether Taiwan is part of China or not" here: most probably we'll anger Chinese or Taiwanese or (most probably) both.  In anaconda try to filter with keyword "Taiwan" and we'll get 3 "Taiwan, Province of China" entries, while with "China" we'll also get these 3 results but China and/or Chinese does not exist from this search.  The results don't make sense at all.  Keeping the "LANGUAGE (LANGUAGE (REGION))" pattern will simply do.
Comment 1 Steve Tyler 2013-07-08 05:41:34 EDT
The "i18n" keyword would probably be appropriate for this bug.
https://bugzilla.redhat.com/describekeywords.cgi
Comment 2 Jens Petersen 2013-10-22 05:32:01 EDT
I think the names of keyboard layouts are coming now from xkeyboard-config.
Perhaps you could test again with F20 Beta when I appears soon.
Comment 3 Jens Petersen 2013-10-22 05:33:28 EDT
(In reply to Steve Tyler from comment #1)
> The "i18n" keyword would probably be appropriate for this bug.

Good point - Steve, if you are able to then please also feel free to add it. :)
Comment 4 Chris Lumens 2014-01-02 12:44:51 EST
We are, in fact, getting names from a different package now.  In addition, we are trying to be a little smarter about displaying less redundant information on the hub for what layouts are selected.  If this is still a problem, please feel free to open a new bug against the langtable-data package.
Comment 5 Chester Cheng 2014-10-27 20:33:17 EDT
Remove NEEDINFO

Note You need to log in before you can comment on or make changes to this bug.